> ## Documentation Index
> Fetch the complete documentation index at: https://docs.woodcore.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Key Profile

> Fetch the details associated with an API KEY with this endpoint.

Fetch the details associated with an API KEY with this endpoint. This includes information about the key's permissions, associated user, and usage statistics.

<Note>
  This endpoint requires a valid API key in the Authorization header.
</Note>


## OpenAPI

````yaml GET /gateway/keyprofile
openapi: 3.0.3
info:
  title: Woodcore Access Gateway API
  description: API for managing access to Woodcore resources
  version: 2.0.0
servers:
  - url: https://spark.test.woodcore.co/api/v2
    description: Spark V2 Server
  - url: https://spark.test.woodcore.co/api/v2
    description: Spark Security Server
security: []
paths:
  /gateway/keyprofile:
    get:
      summary: Key Profile
      description: Fetch the details associated with an API KEY with this endpoint.
      responses:
        '200':
          description: API key profile retrieved successfully
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````